[build-system]
requires = ["setuptools >= 61.0", "setuptools-scm>=8.0"]
build-backend = "setuptools.build_meta"

[project]
name = "bst-to-lorry"
dependencies = ["PyYAML", "BuildStream >= 2"]
dynamic = ["version"]

[project.scripts]
bst-to-lorry = "bst_to_lorry:main"

[tool.setuptools_scm]

[tool.ruff]
line-length = 88
preview = true

[tool.ruff.lint]
extend-select = [
  "B",
  "EXE",
  "I",
  "N",
  "PLE",
  "PLW",
  "RUF",
]

[tool.ruff.lint.isort]
split-on-trailing-comma = false

[tool.ruff.format]
skip-magic-trailing-comma = true
